﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage
    x:Class="MTCT.Views.Tabbed.EquipmentPage"
    xmlns="http://xamarin.com/schemas/2014/forms"
    xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
    xmlns:local="clr-namespace:MTCT.Extension"
    xmlns:pan="clr-namespace:Xamarin.Forms.PancakeView;assembly=Xamarin.Forms.PancakeView"
    NavigationPage.HasNavigationBar="False">
    <ContentPage.Content>
        <!--<pan:PancakeView
            Margin="20,20,20,20"
            Padding="0"
            BackgroundColor="#F5F5F5"
            CornerRadius="10,10,10,10"
            HasShadow="True"
            VerticalOptions="CenterAndExpand">
        -->
        <!--<pan:PancakeView.HeightRequest>
            <OnIdiom
                x:TypeArguments="x:Double"
                Phone="250"
                Tablet="500" />
        </pan:PancakeView.HeightRequest>-->
        <!--
            <pan:PancakeView.Margin>
                <OnIdiom
                    x:TypeArguments="Thickness"
                    Phone="20,10,20,20"
                    Tablet="100,0,100,0" />
            </pan:PancakeView.Margin>-->
        <Grid
            Margin="0"
            Padding="0"
            BackgroundColor="Transparent"
            RowSpacing="0">
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto" />
                <RowDefinition Height="*" />
            </Grid.RowDefinitions>

            <Frame
                Grid.Row="0"
                Padding="10,0,0,0"
                BorderColor="Gray"
                Style="{StaticResource frmBorder}">
                <Frame.Margin>
                    <OnIdiom
                        x:TypeArguments="Thickness"
                        Phone="20,10,20,0"
                        Tablet="30,10,30,0" />
                </Frame.Margin>
                <Grid>
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="30" />
                        <ColumnDefinition Width="*" />
                        <ColumnDefinition Width="30" />
                    </Grid.ColumnDefinitions>
                    <Image
                        Grid.Column="0"
                        Margin="5,0,0,0"
                        BackgroundColor="Transparent"
                        Source="iconRefNo.png"
                        VerticalOptions="CenterAndExpand">
                        <Image.HeightRequest>
                            <OnIdiom
                                x:TypeArguments="x:Double"
                                Phone="25"
                                Tablet="30" />
                        </Image.HeightRequest>
                        <Image.WidthRequest>
                            <OnIdiom
                                x:TypeArguments="x:Double"
                                Phone="25"
                                Tablet="30" />
                        </Image.WidthRequest>
                    </Image>
                    <local:EntryBox
                        x:Name="txtRFID"
                        Grid.Column="1"
                        Margin="0,0,0,0"
                        FontFamily="RobotoMedium"
                        Placeholder="Buscar Equipo"
                        PlaceholderColor="{StaticResource FuelBlack}"
                        TextChanged="txtRFID_TextChanged">
                        <local:EntryBox.FontSize>
                            <OnIdiom
                                x:TypeArguments="x:Double"
                                Phone="16"
                                Tablet="20" />
                        </local:EntryBox.FontSize>
                    </local:EntryBox>
                    <ImageButton
                        x:Name="imgSearch"
                        Grid.Column="2"
                        Margin="0,0,10,0"
                        BackgroundColor="Transparent"
                        Source="iconSearch.png"
                        VerticalOptions="CenterAndExpand">
                        <ImageButton.HeightRequest>
                            <OnIdiom
                                x:TypeArguments="x:Double"
                                Phone="20"
                                Tablet="25" />
                        </ImageButton.HeightRequest>
                        <ImageButton.WidthRequest>
                            <OnIdiom
                                x:TypeArguments="x:Double"
                                Phone="20"
                                Tablet="25" />
                        </ImageButton.WidthRequest>
                    </ImageButton>
                </Grid>
            </Frame>

            <ListView
                x:Name="lstDetails"
                Grid.Row="1"
                Margin="0,8"
                HasUnevenRows="True"
                ItemTapped="lstDetails_ItemTapped"
                SeparatorColor="Gray"
                SeparatorVisibility="None">
                <ListView.ItemTemplate>
                    <DataTemplate>
                        <ViewCell>
                            <Grid Margin="0,10,0,10">
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width="55" />
                                    <ColumnDefinition Width="*" />
                                </Grid.ColumnDefinitions>
                                <Grid.RowDefinitions>
                                    <RowDefinition Height="Auto" />
                                    <RowDefinition Height="Auto" />
                                </Grid.RowDefinitions>
                                <Label
                                    Grid.Row="0"
                                    Grid.Column="1"
                                    Margin="0"
                                    Style="{StaticResource SmallLabel}"
                                    Text="{Binding DisplayEquipment}"
                                    TextColor="{StaticResource FuelBlack}" />

                                <BoxView
                                    Grid.Row="1"
                                    Grid.ColumnSpan="2"
                                    Margin="0,0,0,0"
                                    BackgroundColor="LightGray"
                                    HeightRequest="1"
                                    HorizontalOptions="FillAndExpand"
                                    VerticalOptions="EndAndExpand" />
                            </Grid>
                        </ViewCell>
                    </DataTemplate>
                </ListView.ItemTemplate>
            </ListView>
        </Grid>

        <!--</pan:PancakeView>-->
    </ContentPage.Content>
</ContentPage>